summaryrefslogtreecommitdiffstats
path: root/development/SQLiteStudio
diff options
context:
space:
mode:
Diffstat (limited to 'development/SQLiteStudio')
-rw-r--r--development/SQLiteStudio/README19
-rw-r--r--development/SQLiteStudio/SQLiteStudio.SlackBuild145
-rw-r--r--development/SQLiteStudio/SQLiteStudio.desktop9
-rw-r--r--development/SQLiteStudio/SQLiteStudio.info10
-rw-r--r--development/SQLiteStudio/SQLiteStudio.pngbin0 -> 218806 bytes
-rw-r--r--development/SQLiteStudio/doinst.sh15
-rw-r--r--development/SQLiteStudio/slack-desc19
7 files changed, 217 insertions, 0 deletions
diff --git a/development/SQLiteStudio/README b/development/SQLiteStudio/README
new file mode 100644
index 0000000000..55203ab9f8
--- /dev/null
+++ b/development/SQLiteStudio/README
@@ -0,0 +1,19 @@
+SQLiteStudio is a free, open source, multi-platform SQLite database
+manager written in C++, with use of Qt framework. It is a desktop
+application for browsing and editing SQLite database files, aimed
+for people who know what SQLite is, or what relational databases
+are in general.
+
+SQLiteStudio was created and is maintained by Pawel Salawa with
+contributions from the community.
+
+It is open-source software, released under GPL (v3) license.
+You are free to use it for any purpose you like.
+
+Homepage: https://sqlitestudio.pl/
+Github: https://github.com/pawelsalawa/sqlitestudio
+
+To build this package the official Slackware Python 3.9 and the
+chrpath package (found in SlackBuilds) are required.
+
+This package installs to /opt/SQLiteStudio
diff --git a/development/SQLiteStudio/SQLiteStudio.SlackBuild b/development/SQLiteStudio/SQLiteStudio.SlackBuild
new file mode 100644
index 0000000000..ed3172451d
--- /dev/null
+++ b/development/SQLiteStudio/SQLiteStudio.SlackBuild
@@ -0,0 +1,145 @@
+#!/bin/bash
+
+# Slackware build script for the SQLiteStudio
+
+# Copyright 2023 Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20230627 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - get rid of libkrb5*.so symlinks; the app uses the ones in /usr/lib64.
+# - fix a few typos in the README.
+# - don't chown and chmod all of /tmp/SBo.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=SQLiteStudio
+VERSION=${VERSION:-3.4.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+BASENAME=${BASENAME:-sqlitestudio}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+# 20230627 bkw: SLKCFLAGS not needed (qmake handles it correctly).
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+ QMAKE=/usr/lib/qt5/bin/qmake
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ QMAKE=/usr/lib/qt5/bin/qmake
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ QMAKE=/usr/lib64/qt5/bin/qmake
+else
+ LIBDIRSUFFIX=""
+ QMAKE=/usr/lib/qt5/bin/qmake
+fi
+
+set -e
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+BUILDDIR=$TMP/$BASENAME-$VERSION
+
+rm -rf $PKG $BUILDDIR
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+tar xvfz $CWD/$BASENAME-$VERSION.tar.gz
+cd $BUILDDIR
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+# build program
+mkdir -p $BUILDDIR/output/build $BUILDDIR/output/build/Plugins
+cd $BUILDDIR/output/build
+$QMAKE CONFIG+=portable ../../SQLiteStudio3
+make
+
+# build **all** plugins, requires python 3.9 installed
+set +e
+cd $BUILDDIR/output/build/Plugins
+$QMAKE CONFIG+=portable ../../../Plugins "INCLUDEPATH += /usr/include/python3.9"
+make
+set -e
+
+#Portable distribution created at: $BUILDDIR/output/portable/SQLiteStudio
+cd $BUILDDIR/scripts/linux
+./create_portable.sh $QMAKE
+
+# prepare the package files
+mkdir -p $PKG/opt/$PRGNAM
+cp -avxu $BUILDDIR/output/portable/SQLiteStudio/* $PKG/opt/$PRGNAM/
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/SQLiteStudio.png $PKG/usr/share/pixmaps/SQLiteStudio.png
+mkdir -p $PKG/usr/share/applications
+cp $CWD/SQLiteStudio.desktop $PKG/usr/share/applications
+
+# remove broken symlinks
+(
+ cd $PKG/opt/SQLiteStudio/lib
+ rm -f libk5crypto.so* libkrb5.so* libkrb5support.so* \
+ libk5crypto.so* libkrb5.so* libkrb5support.so*
+)
+
+# create additonal program symlinks
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; rm -rf sqlitestudio )
+( cd $PKG/usr/bin ; ln -sf ../../opt/SQLiteStudio/sqlitestudio sqlitestudio )
+( cd $PKG/usr/bin ; rm -rf SQLiteStudio )
+( cd $PKG/usr/bin ; ln -sf ../../opt/SQLiteStudio/sqlitestudio SQLiteStudio )
+( cd $PKG/usr/bin ; rm -rf sqlitestudiocli )
+( cd $PKG/usr/bin ; ln -sf ../../opt/SQLiteStudio/sqlitestudiocli sqlitestudiocli )
+( cd $PKG/usr/bin ; rm -rf SQLiteStudioCli )
+( cd $PKG/usr/bin ; ln -sf ../../opt/SQLiteStudio/sqlitestudiocli SQLiteStudioCli )
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG/
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/SQLiteStudio/SQLiteStudio.desktop b/development/SQLiteStudio/SQLiteStudio.desktop
new file mode 100644
index 0000000000..14481051e3
--- /dev/null
+++ b/development/SQLiteStudio/SQLiteStudio.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=SQLiteStudio
+Comment=SQLite database manager
+Exec=/opt/SQLiteStudio/sqlitestudio
+Icon=/usr/share/pixmaps/SQLiteStudio.png
+Terminal=false
+Type=Application
+Categories=System;Development;
+
diff --git a/development/SQLiteStudio/SQLiteStudio.info b/development/SQLiteStudio/SQLiteStudio.info
new file mode 100644
index 0000000000..45827052b5
--- /dev/null
+++ b/development/SQLiteStudio/SQLiteStudio.info
@@ -0,0 +1,10 @@
+PRGNAM="SQLiteStudio"
+VERSION="3.4.4"
+HOMEPAGE="https://sqlitestudio.pl/"
+DOWNLOAD="https://github.com/pawelsalawa/sqlitestudio/archive/3.4.4/sqlitestudio-3.4.4.tar.gz"
+MD5SUM="a8af4e908dc7e6bf9a8578db1d44f2ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="chrpath"
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"
diff --git a/development/SQLiteStudio/SQLiteStudio.png b/development/SQLiteStudio/SQLiteStudio.png
new file mode 100644
index 0000000000..9140aa27c3
--- /dev/null
+++ b/development/SQLiteStudio/SQLiteStudio.png
Binary files differ
diff --git a/development/SQLiteStudio/doinst.sh b/development/SQLiteStudio/doinst.sh
new file mode 100644
index 0000000000..38e4870b5f
--- /dev/null
+++ b/development/SQLiteStudio/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+
diff --git a/development/SQLiteStudio/slack-desc b/development/SQLiteStudio/slack-desc
new file mode 100644
index 0000000000..e37f5ac5d0
--- /dev/null
+++ b/development/SQLiteStudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SQLiteStudio: SQLiteStudio (SQLite database manager written in C++ using Qt)
+SQLiteStudio:
+SQLiteStudio: A free, open source, multi-platform SQLite database manager written
+SQLiteStudio: in C++, with use of Qt framework.
+SQLiteStudio:
+SQLiteStudio: SQLiteStudio is a desktop application for browsing and editing SQLite
+SQLiteStudio: database files. It is aimed for people, who know what SQLite is, or
+SQLiteStudio: what relational databases are in general.
+SQLiteStudio:
+SQLiteStudio: Homepage: https://sqlitestudio.pl/
+SQLiteStudio: